Bug 1366318 - GTK+ >= 3.20.8 - XFPM - units of time strings loose up
Summary: GTK+ >= 3.20.8 - XFPM - units of time strings loose up
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 15:16 UTC by poma
Modified: 2016-08-25 19:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 16:25:52 UTC
Type: Bug


Attachments (Terms of Use)
Test GTK+ 3.20.8 patch - restores XFPM units of time strings (4.04 KB, patch)
2016-08-12 18:13 UTC, poma
no flags Details | Diff
GTK+ 3.20.9 - restores XFPM units of time strings (1.53 KB, patch)
2016-08-21 17:53 UTC, poma
no flags Details | Diff
GTK+ 3 - Special Edition: Xfce Power Rangers (4.37 KB, patch)
2016-08-21 17:55 UTC, poma
no flags Details | Diff

Description poma 2016-08-11 15:16:17 UTC
Description of problem:
Within GTK+ 3.20.8 Power Manager for Xfce losing some units of time strings

Version-Release number of selected component (if applicable):
gtk3-3.20.8-1.fc24.x86_64

How reproducible:
101%

Steps to Reproduce:
1. Run 'xfce4-power-manager-settings'
2. Adjust available time functions

Actual results:
Some units of time strings missing

Expected results:
All defined units of time strings present

Additional info:
Definitions details
https://git.xfce.org/xfce/xfce4-power-manager/tree/settings/xfpm-settings.c

Screencast - comparison with the working GTK+ 3.20.6
http://goo.gl/Gm4ffO
xfpm-gtk3/

Comment 1 poma 2016-08-12 18:13:53 UTC
Created attachment 1190532 [details]
Test GTK+ 3.20.8 patch - restores XFPM units of time strings

Comment 2 poma 2016-08-12 18:17:10 UTC
Test GTK+ 3.20.8 Fedora build
http://goo.gl/Gm4ffO
xfpm-gtk3/

Comment 3 poma 2016-08-18 14:23:59 UTC
When you plan to stop practising gaffes like this, breaking a stable API?

"The micro version number is incremented when code changes are made without modifying API."
API stability
https://developer.gnome.org/programming-guidelines/stable/api-stability.html.en

Comment 4 Harald Reindl 2016-08-19 15:33:26 UTC
3.20.6
3.20.8

so what's all of that "When you plan to stop practising gaffes like this, breaking a stable API? The micro version number is incremented when code changes are made without modifying API" bla about?

Comment 5 Mukundan Ragavan 2016-08-20 00:14:04 UTC
Yes, I can see the issue. 

Thanks for the patch. I will test it out and push an update as needed.

Comment 6 poma 2016-08-20 18:13:14 UTC
Updates Policy - FedoraProject: Stable_Releases
https://fedoraproject.org/wiki/Updates_Policy#Stable_Releases

"Updates should aim to fix bugs, and not introduce features, particularly when those features would materially affect the user or developer experience."

"Package maintainers MUST:
    Avoid changing the user experience if at all possible."
--


Updates should aim to fix bugs, and not introduce new bugs, particularly when those new bugs would materially affect the user experience.

Comment 7 poma 2016-08-20 18:19:41 UTC
(In reply to Mukundan Ragavan from comment #5)
> Yes, I can see the issue. 
> 
> Thanks for the patch. I will test it out and push an update as needed.

Do not worry,
you probably won't push any patch related, particularly not "as needed" one. ;)

Comment 8 Harald Reindl 2016-08-20 18:26:15 UTC
@poma: stop trolling - you first talked about breaking a stable API while refer to the versioning which was nonsense and the software with no regressions aka bugs must yet be written

"When you plan to stop practising gaffes like this, breaking a stable API?" was and is nonsense - so if there is a regression somewhere just report it but stop talking about API breaks and versioning when you have no idea what you are talking about - it's annyoing as well as karama from "anonymous" is

Comment 9 poma 2016-08-21 14:41:08 UTC
(In reply to Mukundan Ragavan from comment #5)
> Yes, I can see the issue. 
[...]

Your test quality is es muy apreciada. ;)

https://bodhi.fedoraproject.org/updates/FEDORA-2016-0be36f9048
gtk3-3.20.8-1.fc24

nonamedotc
"nothing odd noticed. all seems well."

Comment 10 Harald Reindl 2016-08-21 14:48:16 UTC
@poma: not everybody is using "xfce4-power-manager-settings" nor XFCE at all - so stop bitching around and pretend everything is broken including the API - the applications i use are fine and i guess the same applies for other testers

did you ever came to the idea that probably the broken application relies on undefined behvaior or is using a API wrong?

Comment 11 poma 2016-08-21 17:53:27 UTC
Created attachment 1192630 [details]
GTK+ 3.20.9 - restores XFPM units of time strings

Comment 12 poma 2016-08-21 17:55:07 UTC
Created attachment 1192631 [details]
GTK+ 3 - Special Edition: Xfce Power Rangers

Comment 13 poma 2016-08-21 18:08:39 UTC
Kalev, Clasen, Ray(what are you doing here?) and especially you Timm,
shall we dance?

Comment 14 poma 2016-08-21 18:11:35 UTC
Oh, and where is Fenzi, when is needed!?

Comment 15 Mukundan Ragavan 2016-08-21 21:12:56 UTC
(In reply to poma from comment #9)
> (In reply to Mukundan Ragavan from comment #5)
> > Yes, I can see the issue. 
> [...]
> 
> Your test quality is es muy apreciada. ;)
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2016-0be36f9048
> gtk3-3.20.8-1.fc24
> 
> nonamedotc
> "nothing odd noticed. all seems well."

I did not (nor is it possible to) open EVERY SINGLE window in every single program in the entire system to test an update.

Stop the snarky tone. You have provided a patch, I will test it and update it when I get back. Stop will all the nonsense you are doing here. You are repeating the same thing you did with Xfce 4.11 release. Just stop.

Bugs in software happen. It is unavoidable. If you cannot stand that, I suggest that you stay away from using ANY software. In this case, a change in GTK3 "broke" something in xfpm. It happens! Sometimes, breakages happen. It's unavoidable!

Comment 16 Mukundan Ragavan 2016-08-22 00:46:27 UTC
Also, looking at the patches, there is nothing I can do. component is reassigned o gtk3 ..

Comment 17 Ray Strode [halfline] 2016-08-22 14:19:07 UTC
(In reply to poma from comment #13)
> Ray(what are you doing here?)

Bugzilla history says I wasn't here before you asked what I was doing here. cya

Comment 18 poma 2016-08-24 16:15:44 UTC
(In reply to Mukundan Ragavan from comment #15)
> (In reply to poma from comment #9)
> > (In reply to Mukundan Ragavan from comment #5)
> > > Yes, I can see the issue. 
> > [...]
> > 
> > Your test quality is es muy apreciada. ;)
> > 
> > https://bodhi.fedoraproject.org/updates/FEDORA-2016-0be36f9048
> > gtk3-3.20.8-1.fc24
> > 
> > nonamedotc
> > "nothing odd noticed. all seems well."
> 
> I did not (nor is it possible to) open EVERY SINGLE window in every single
> program in the entire system to test an update.
> 
> Stop the snarky tone. You have provided a patch, I will test it and update
> it when I get back. Stop will all the nonsense you are doing here. You are
> repeating the same thing you did with Xfce 4.11 release. Just stop.
> 
> Bugs in software happen. It is unavoidable. If you cannot stand that, I
> suggest that you stay away from using ANY software. In this case, a change
> in GTK3 "broke" something in xfpm. It happens! Sometimes, breakages happen.
> It's unavoidable!

It is difficult to accept that you are doing wrong, right.

Comment 19 poma 2016-08-24 16:16:14 UTC
(In reply to Ray Strode [halfline] from comment #17)
> (In reply to poma from comment #13)
> > Ray(what are you doing here?)
> 
> Bugzilla history says I wasn't here before you asked what I was doing here.
> cya

cya ;)

Comment 20 poma 2016-08-24 16:25:52 UTC
Besides, devs of both upstream should deal with GTK+ crap like this, in the first place.

Thanks for attention,
Elvis has left the building.

Comment 21 Harald Reindl 2016-08-24 16:46:09 UTC
Troll and spam somewhere else - bugzilla.redhat.com is not the users list nor is bodhi

Comment 22 Matthias Clasen 2016-08-25 19:00:20 UTC
(In reply to poma from comment #0)

> Screencast - comparison with the working GTK+ 3.20.6
> http://goo.gl/Gm4ffO

The link doesn't go to a screencast. Instead of going on rants, provide a working link, then I'll have a look.


Note You need to log in before you can comment on or make changes to this bug.